Bug 806466 - Network connections not up OOTB after non-network install in 17 Beta RC1
Network connections not up OOTB after non-network install in 17 Beta RC1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
AcceptedNTH RejectedBlocker
:
Depends On:
Blocks: F17Beta-accepted/F17BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-03-23 16:36 EDT by Adam Williamson
Modified: 2012-04-11 13:22 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-17.20-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 13:22:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda ifcfg log from an offending install (1.76 KB, text/plain)
2012-03-26 14:30 EDT, Adam Williamson
no flags Details

  None (edit)
Description Adam Williamson 2012-03-23 16:36:35 EDT
17 Beta RC1 seems to have regressed things to the pre-Fedora 16 state where network interfaces were not up OOTB after a non-network install. This was longstanding behaviour but we actually changed it in 16:

https://bugzilla.redhat.com/show_bug.cgi?id=498207

so we wrote ONBOOT=yes even when installing not from the network. We should probably go ahead and carry on doing that with Fedora 17. Not sure if we should consider this a blocker, but nominating as both blocker and NTH just so we can kick it around.
Comment 1 Adam Williamson 2012-03-24 16:47:47 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Adam Williamson 2012-03-24 16:48:12 EDT
note: will wanted the ifcfg log from an install to investigate this one.
Comment 3 Adam Williamson 2012-03-26 13:45:51 EDT
Discussed at 2012-03-26 QA meeting acting as a blocker review meeting. As the impact of this bug combined with 806664 is broadly the same as #804716 for TC2, and we took 804716 as NTH, we agreed that this bug and 806664 should be accepted as NTH but rejected as blockers.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Adam Williamson 2012-03-26 14:30:39 EDT
Created attachment 572835 [details]
anaconda ifcfg log from an offending install
Comment 5 Will Woods 2012-03-27 15:25:33 EDT
Additional info needed:
- GUI or text install?
- Kickstart or no?
- What was the boot device / install source?
- What network devices were configured (if any), and how (boot cmdline, kickstart, GUI)?
- What ifcfg files do exist, if any? What are their ONBOOT settings?
Comment 6 Adam Williamson 2012-03-27 15:30:09 EDT
the case I'm certain reproduces the bug is a minimal interactive GUI install from DVD in a stock virt-manager VM. No network device configured during boot. I think a network install also reproduces but I'm not 100% sure.

an ifcfg-eth0 file is created, which specifies ONBOOT=no.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Adam Williamson 2012-03-27 15:30:33 EDT
s/during boot/during install/g.
Comment 8 Bill Nottingham 2012-03-28 16:24:51 EDT
This also happened for me with a live image install.
Comment 9 Fedora Update System 2012-04-03 20:26:25 EDT
anaconda-17.17-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.17-1.fc17
Comment 10 Andre Robatino 2012-04-04 12:53:09 EDT
Confirmed that network is up OOTB on minimal i386 and x86_64 DVD installs of 17 Beta RC3. The ifcfg-* file has ONBOOT="yes".
Comment 11 Adam Williamson 2012-04-04 18:13:42 EDT
Ditto Andre, on both minimal and desktop. Yay!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Fedora Update System 2012-04-05 14:27:26 EDT
Package anaconda-17.17-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-17.17-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5388/anaconda-17.17-1.fc17
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-04-06 09:58:38 EDT
anaconda-17.19-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.19-1.fc17
Comment 14 Fedora Update System 2012-04-10 00:14:34 EDT
anaconda-17.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/anaconda-17.20-1.fc17
Comment 15 Fedora Update System 2012-04-11 13:22:25 EDT
anaconda-17.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.